##### Views

- Page
- Discussion
- View source
- History

# love.math.noise

Available since LÖVE 0.9.0
This function is not supported in earlier versions.

Generates a Simplex noise value in 1-4 dimensions.

Simplex noise is closely related to Perlin noise. It is widely used for procedural content generation.

There are many webpages which discuss Perlin and Simplex noise in detail.

## Function

Generates Simplex noise from 1 dimension.

### Synopsis

value = love.math.noise( x )

### Arguments

`number x`
  The number used to generate the noise value.

### Returns

`number value`
  The noise value in the range of [0, 1].

## Function

Generates Simplex noise from 2 dimensions.

### Synopsis

value = love.math.noise( x, y )

### Arguments

`number x`
  The first value of the 2-dimensional vector used to generate the noise value.
`number y`
  The second value of the 2-dimensional vector used to generate the noise value.

### Returns

`number value`
  The noise value in the range of [0, 1].

## Function

Generates Simplex noise from 3 dimensions.

### Synopsis

value = love.math.noise( x, y, z )

### Arguments

`number x`
  The first value of the 3-dimensional vector used to generate the noise value.
`number y`
  The second value of the 3-dimensional vector used to generate the noise value.
`number z`
  The third value of the 3-dimensional vector used to generate the noise value.

### Returns

`number value`
  The noise value in the range of [0, 1].

## Function

Generates Simplex noise from 4 dimensions.

### Synopsis

value = love.math.noise( x, y, z, w )

### Arguments

`number x`
  The first value of the 4-dimensional vector used to generate the noise value.
`number y`
  The second value of the 4-dimensional vector used to generate the noise value.
`number z`
  The third value of the 4-dimensional vector used to generate the noise value.
`number w`
  The fourth value of the 4-dimensional vector used to generate the noise value.

### Returns

`number value`
  The noise value in the range of [0, 1].

## See Also

- love.math

## Other Languages

Dansk – Deutsch – English – Español – Français – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Polski – Português – Română – Slovenský – Suomi – Svenska – Türkçe – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – ไทย – 日本語 – 正體中文 – 简体中文 – Tiếng Việt – 한국어
More info

Retrieved from "https://www.love2d.org/wiki/love.math.noise"
Categories: Templates | Functions

##### Personal tools

- Log in

##### Search

##### Toolbox

- What links here
- Related changes
- Special pages
- Printable version
- Permanent link
- Browse properties